Fx Remeasurement Ui¶
Fx Remeasurement Ui - Get Period Context¶
HTTP Request
GET /api/ui/fx-remeasurement/period-context
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
erpSystem |
query |
string |
true |
none |
company |
query |
string |
true |
none |
fiscalYearPeriod |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "fiscalYearPeriod": {
3 "fiscalYear": 1900,
4 "fiscalPeriod": 1
5 },
6 "dirtyState": {
7 "ledgerDirtyFrom": {
8 "fiscalYear": 1900,
9 "fiscalPeriod": 1
10 },
11 "postingDirtyFrom": {
12 "fiscalYear": 1900,
13 "fiscalPeriod": 1
14 },
15 "earliestPersistedComputationPeriod": {
16 "fiscalYear": 1900,
17 "fiscalPeriod": 1
18 }
19 },
20 "hasAnyCompanyJobAttempt": true,
21 "activeJob": {
22 "jobId": 0,
23 "status": "QUEUED",
24 "targetPeriod": {
25 "fiscalYear": 1900,
26 "fiscalPeriod": 1
27 },
28 "lastSuccessfulPeriod": {
29 "fiscalYear": 1900,
30 "fiscalPeriod": 1
31 },
32 "queuedAt": "2019-08-24T14:15:22Z",
33 "startedAt": "2019-08-24T14:15:22Z",
34 "finishedAt": "2019-08-24T14:15:22Z",
35 "errorMessage": "string"
36 },
37 "latestAttemptTargetingPeriod": {
38 "jobId": 0,
39 "status": "QUEUED",
40 "targetPeriod": {
41 "fiscalYear": 1900,
42 "fiscalPeriod": 1
43 },
44 "lastSuccessfulPeriod": {
45 "fiscalYear": 1900,
46 "fiscalPeriod": 1
47 },
48 "queuedAt": "2019-08-24T14:15:22Z",
49 "startedAt": "2019-08-24T14:15:22Z",
50 "finishedAt": "2019-08-24T14:15:22Z",
51 "errorMessage": "string"
52 },
53 "latestPersistedComputationForPeriod": {
54 "jobId": 0,
55 "status": "QUEUED",
56 "targetPeriod": {
57 "fiscalYear": 1900,
58 "fiscalPeriod": 1
59 },
60 "lastSuccessfulPeriod": {
61 "fiscalYear": 1900,
62 "fiscalPeriod": 1
63 },
64 "queuedAt": "2019-08-24T14:15:22Z",
65 "startedAt": "2019-08-24T14:15:22Z",
66 "finishedAt": "2019-08-24T14:15:22Z",
67 "errorMessage": "string"
68 },
69 "actionability": {
70 "canCompute": true,
71 "allowedPostingActions": [
72 "POST"
73 ]
74 }
75}